#ifndef MyDetectorConstruction_H
#define MyDetectorConstruction_H 1

#include "G4VUserDetectorConstruction.hh"

class G4LogicalVolume;
class G4VPhysicalVolume;


class MyDetectorConstruction : public G4VUserDetectorConstruction {

public:

  MyDetectorConstruction();
  ~MyDetectorConstruction();
  
  G4VPhysicalVolume* Construct();
  
private:
  
  G4LogicalVolume* experimentalHall_log;
  G4VPhysicalVolume* experimentalHall_phys;
  // World envelope. 
  
  G4LogicalVolume*  logicAbsorber;
  G4VPhysicalVolume* physiAbsorber;
  // Absorber layer of the "calorimeter".
  
  G4LogicalVolume*  logicActive;
  G4VPhysicalVolume* physiActive;
  // Active layer of the "calorimeter".

  G4LogicalVolume*  logicExtraAbsorber;
  G4VPhysicalVolume* physiExtraAbsorber;
  // Absorber layer of the "extra calorimeter".
  
  G4LogicalVolume*  logicExtraActive;
  G4VPhysicalVolume* physiExtraActive;
  // Active layer of the "extra calorimeter".
  
};

#endif

