#ifndef MyDetectorConstruction_H
#define MyDetectorConstruction_H 1

#include "G4VUserDetectorConstruction.hh"
#include "globals.hh"

class G4LogicalVolume;
class G4VPhysicalVolume;
class G4UniformMagField;
class MyDetectorMessenger;


class MyDetectorConstruction : public G4VUserDetectorConstruction {

public:

  MyDetectorConstruction();
  ~MyDetectorConstruction();
  
  G4VPhysicalVolume* Construct();

  void SetMagField(G4double fieldValue);
  // Use by the messenger.
 
private:
  
  G4LogicalVolume* experimentalHall_log;
  G4VPhysicalVolume* experimentalHall_phys;
  // World envelope. 
  
  G4LogicalVolume*  logicAbsorber;
  G4VPhysicalVolume* physiAbsorber;
  // Absorber layer of the "calorimeter".
  
  G4LogicalVolume*  logicActive;
  G4VPhysicalVolume* physiActive;
  // Active layer of the "calorimeter".

  G4LogicalVolume*  logicExtraAbsorber;
  G4VPhysicalVolume* physiExtraAbsorber;
  // Absorber layer of the "extra calorimeter".
  
  G4LogicalVolume*  logicExtraActive;
  G4VPhysicalVolume* physiExtraActive;
  // Active layer of the "extra calorimeter".

  G4UniformMagField* uniformMagField; 
  // Pointer to the uniform magnetic field.

  MyDetectorMessenger* detectorMessenger;
  // pointer to the Messenger
    
};

#endif

