#include "MyEventAction.hh"

#include "G4Event.hh"
#include "G4ios.hh"

#include "G4TrajectoryContainer.hh"
#include "G4Trajectory.hh"
#include "G4VVisManager.hh"


MyEventAction::MyEventAction() {}


MyEventAction::~MyEventAction() {}


void MyEventAction::StartOfEventAction(const G4Event* evt) { 
  G4cout << "\n---> Begin of event: " << evt->GetEventID() << G4endl;
}


void MyEventAction::EndOfEventAction(const G4Event* evt){

  // Extract the trajectories and draw them
  if ( G4VVisManager::GetConcreteInstance() ) {
    G4TrajectoryContainer* trajectoryContainer = evt->GetTrajectoryContainer();
    G4int n_trajectories = 0;
    if ( trajectoryContainer ) n_trajectories = trajectoryContainer->entries();
    for ( G4int i=0; i<n_trajectories; i++ ) { 
      G4Trajectory* trj = (G4Trajectory*) ((*(evt->GetTrajectoryContainer()))[i]);
      trj->DrawTrajectory(50); // Draw all tracks
      // if ( trj->GetCharge() != 0. ) trj->DrawTrajectory(50); // Draw only charged tracks
      // if ( trj->GetCharge() == 0. ) trj->DrawTrajectory(50); // Draw only neutral tracks
      // if ( trj->GetParticleName() == "gamma" )  
      //   trj->DrawTrajectory(50); // Draw only gammas
      // if ( trj->GetParticleName() == "neutron"  || trj->GetParticleName() == "anti_neutron" )  
      //   trj->DrawTrajectory(50); // Draw only neutrons and antineutrons
    }
  }

}

