#ifndef MyTrackerHit_h
#define MyTrackerHit_h 1

#include "G4VHit.hh"
#include "G4THitsCollection.hh"
#include "G4ThreeVector.hh"

class MyTrackerHit; 
typedef G4THitsCollection<MyTrackerHit> MyTrackerHitsCollection;


class MyTrackerHit : public G4VHit {

public:

  MyTrackerHit();
  ~MyTrackerHit();
  MyTrackerHit(const MyTrackerHit &right);
  // Constructors and Destructor.

  const MyTrackerHit& operator=(const MyTrackerHit &right);
  // Assignment operator.

public:
  
  void Draw();
  void Print();
  
  inline void SetEdep(const G4double de);
  inline void AddEdep(const G4double de);
  inline G4double GetEdep() const;
  // Set/Add/Get methods for the deposited energy.

private:

  G4double edep;      // Deposited energy.  

};


inline void MyTrackerHit::SetEdep(const G4double de) { 
  edep = de;
}

inline void MyTrackerHit::AddEdep(const G4double de) { 
  edep += de;
}

inline G4double MyTrackerHit::GetEdep() const { 
  return edep;
}

#endif


