#ifndef MyTrackerHit_h
#define MyTrackerHit_h 1

#include "G4VHit.hh"
#include "G4THitsCollection.hh"
#include "G4ThreeVector.hh"

class MyTrackerHit; 
typedef G4THitsCollection<MyTrackerHit> MyTrackerHitsCollection;


class MyTrackerHit : public G4VHit {

public:

  MyTrackerHit();
  ~MyTrackerHit();
  MyTrackerHit(const MyTrackerHit &right);
  // Constructors and Destructor.

  const MyTrackerHit& operator=(const MyTrackerHit &right);
  // Assignment operator.

public:
  
  void Draw();
  void Print();
  
  inline void SetEdep(const G4double de);
  inline void AddEdep(const G4double de);
  inline G4double GetEdep() const;
  // Set/Add/Get methods for the deposited energy.

  inline void SetPos(const G4ThreeVector & xyz);
  inline const G4ThreeVector & GetPos() const;
  // Set/Get methods for the hit position.

private:

  G4double edep;      // Deposited energy.  
  G4ThreeVector pos;  // Position.

};


inline void MyTrackerHit::SetEdep(const G4double de) { 
  edep = de;
}

inline void MyTrackerHit::AddEdep(const G4double de) { 
  edep += de;
}

inline G4double MyTrackerHit::GetEdep() const { 
  return edep;
}


inline void MyTrackerHit::SetPos(const G4ThreeVector & xyz) { 
  pos = xyz; 
}

inline const G4ThreeVector & MyTrackerHit::GetPos() const { 
  return pos; 
}


#endif


